%global pmname	pom
%global ppname	mycila
Name:		%{ppname}-%{pmname}
Version:	6
Release:	7%{?dist}
Summary:	Mycila parent POM

License:	ASL 2.0
URL:		https://github.com/mycila/pom
BuildArch:	noarch

Source0:	https://github.com/mycila/pom/archive/%{name}-%{version}.tar.gz

BuildRequires:  maven-local
BuildRequires:  mvn(org.apache.maven.plugins:maven-enforcer-plugin)
BuildRequires:  mvn(org.apache.maven.plugins:maven-source-plugin)
BuildRequires:  mvn(org.apache.maven.wagon:wagon-ssh-external)
BuildRequires:	dos2unix

%description
Mycila parent POM

%prep
%setup -q -n %{pmname}-%{name}-%{version}
dos2unix pom.xml
%pom_remove_plugin com.mycila:license-maven-plugin
chmod -x README.md

%pom_xpath_remove "pom:extension[pom:artifactId[text()='wagon-webdav']]"

%build
%mvn_build

%install
%mvn_install

%files -f .mfiles
%doc README.md


%changelog
* Fri Jul 13 2018 Fedora Release Engineering <releng@fedoraproject.org> - 6-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Thu Feb 08 2018 Fedora Release Engineering <releng@fedoraproject.org> - 6-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Fri Sep 22 2017 Mat Booth <mat.booth@redhat.com> - 6-5
- Add missing BRs, rhbz#1423976

* Wed Jul 26 2017 Fedora Release Engineering <releng@fedoraproject.org> - 6-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Fri Feb 10 2017 Fedora Release Engineering <releng@fedoraproject.org> - 6-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Wed May 25 2016 Sopot Cela <scela@redhat.com> 6-2
- minor rpmlint fixes

* Tue Feb 03 2015 Zdenek Zambersky <zzambers@redhat.com> 6-1
- initial rpm
